/****************************************************************************\
*                                                                            *
*  THIS FILE IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE  *
*     WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR     *
*   PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.   *
*                                                                            *
*     In no event will the supplier be liable for any lost revenue           *
*   or profits or other special, indirect and consequential damages, even    *
*    if the supplier has been advised of the possibility of such damages.    *
*                                                                            *
*             Users may copy or modify this file without charge,             *
*       but are NOT authorized to license or sell it to anyone.              *
*                                                                            *
\****************************************************************************/

/****************************************************************************\
*                                                                            *
*    If you modify this software, you should include a notice giving the     *
* name of the person performing the modification, the date of modification,  *
* and the reason for such modification.  Bug reports or fixes should be sent *
*        to the author, who may or may not act on them as he desires:        *
*                                                                            *
* Internet: raytrace@cutmcvax.cs.curtin.edu.au                               *
*                                                                            *
* Mail   : School of Computer Science         | Tel: 619 351 7680            *
*          Curtin University of Technology    | Fax: 619 351 2819            *
*          Kent Street, Bentley                                              *
*          Western Australia, 6102                                           *
*                                                                            *
\****************************************************************************/

/*
 Copyright (c) 1990 Fred Parke.
 */

#include "gl.h"
#include "device.h"

	/*	set up material properties	*/

float flesh[] = {
		  SPECULAR, 0.5, 0.5, 0.5,
		  DIFFUSE,  1.0, 0.72, 0.59,
		  AMBIENT,  0.7, 0.7, 0.7,
		  SHININESS, 50.0,
		  COLORINDEXES, 0,0,0,
		  LMNULL };
float lips[] =	{
		  SPECULAR, 1.0, 0.7, 0.7,
		  DIFFUSE,  1.0, 0.5, 0.4,
		  AMBIENT,  0.2, 0.2, 0.2,
		  SHININESS, 50.0,
		  COLORINDEXES, 0,0,0,
		  LMNULL };
float eyelash[] ={
		  SPECULAR, 0.5, 0.5, 0.5,
		  DIFFUSE,  0.2, 0.2, 0.2,
		  AMBIENT,  0.1, 0.1, 0.1,
		  SHININESS, 10.0,
		  COLORINDEXES, 0,0,0,
		  LMNULL };
float teeth[] = {
		  SPECULAR, 1.0, 1.0, 1.0,
		  DIFFUSE,  0.85, 0.85, 0.85,
		  AMBIENT,  0.3, 0.3, 0.3,
		  SHININESS, 0.0,
		  COLORINDEXES, 0,0,0,
		  LMNULL };
float pupil[] =	{
		  SPECULAR, 1.0, 1.0, 1.0,
		  DIFFUSE,  0.0, 0.0, 0.0,
		  AMBIENT,  0.0, 0.0, 0.0,
		  SHININESS, 30.0,
		  COLORINDEXES, 0,0,0,
		  LMNULL };
float iris[] =	{
		  SPECULAR, 0.8, 0.8, 1.0,
		  DIFFUSE,  0.2, 0.2, 0.0,
		  AMBIENT,  0.2, 0.2, 0.2,
		  SHININESS, 30.0,
		  COLORINDEXES, 0,0,0,
		  LMNULL };

float fringe[] ={
		  SPECULAR, 0.9, 0.95, 1.0,
		  DIFFUSE,  0.07, 0.07, 0.0,
		  AMBIENT,  0.2, 0.2, 0.2,
		  SHININESS, 30.0,
		  COLORINDEXES, 0,0,0,
		  LMNULL };
float eyewhite[] ={
		  SPECULAR, 1.0, 1.0, 1.0,
		  DIFFUSE,  0.95, 0.95, 0.9,
		  AMBIENT,  0.8, 0.8, 0.8,
		  SHININESS, 0.0,
		  COLORINDEXES, 0,0,0,
		  LMNULL };

	/* set up two light sources	*/

float lightone[] ={
		  POSITION, -0.85, -0.15, 1.1, 0.0,
		  LMNULL};
float lighttwo[] ={
		  POSITION, 1.0, 0.2, .2, 0.0,
		  LMNULL};

float twist=0.0;
int pera	=450;
float
       aspect	=1.0,
       near	=1.0,
       far	=100.0;

	/*	Iris specific			*/

Matrix idmat = { 1.0, 0.0, 0.0, 0.0,
		   0.0, 1.0, 0.0, 0.0,
		   0.0, 0.0, 1.0, 0.0,
		   0.0, 0.0, 0.0, 1.0 };
