/****************************************************************************\
*                                                                            *
*  THIS FILE IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE  *
*     WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR     *
*   PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.   *
*                                                                            *
*     In no event will the supplier be liable for any lost revenue           *
*   or profits or other special, indirect and consequential damages, even    *
*    if the supplier has been advised of the possibility of such damages.    *
*                                                                            *
*             Users may copy or modify this file without charge,             *
*       but are NOT authorized to license or sell it to anyone.              *
*                                                                            *
\****************************************************************************/

/****************************************************************************\
*                                                                            *
*    If you modify this software, you should include a notice giving the     *
* name of the person performing the modification, the date of modification,  *
* and the reason for such modification.  Bug reports or fixes should be sent *
*        to the author, who may or may not act on them as he desires:        *
*                                                                            *
* Internet: raytrace@cutmcvax.cs.curtin.edu.au                               *
*                                                                            *
* Mail   : School of Computer Science         | Tel: 619 351 7680            *
*          Curtin University of Technology    | Fax: 619 351 2819            *
*          Kent Street, Bentley                                              *
*          Western Australia, 6102                                           *
*                                                                            *
\****************************************************************************/

/*
 Copyright (c) 1991 Andrew Marriott
 */

#define MAX_PARAMETERS 55
#define MAX_FACE_PARAMETER 50
#define MAX_FEATURES 10

typedef struct 
	{
		float original;
		char *box_label;
		float min,max,value;
		int changed;
	} Parameter;

#define FLESH 		1
#define LIPS  		2
#define EYELASH 	3
#define TEETH 		4
#define PUPIL 		5
#define IRIS  		6
#define FRINGE 		7
#define EYEWHITE 	8
#define FINISH 		9
#define START 		10

#ifdef FORMS
extern int forms_required;
#endif
/*
 * the following depend upon the values of
 *    FORM_BASE_X  	== 35
 *    FORM_BASE_Y 	== 7
 *    BOX_WIDTH  	== 300
 *    BOX_HEIGHT 	== 50
 *
 * These are defined in interface.h 
 */
#define FACE_START_X ((long)(35 + 300))
#define FACE_START_Y ((long)(7 + 6*50))
#define FACE_END_X ((long)(35 + 3*300))
#define FACE_END_Y ((long)1000)
